langcode: en
status: true
dependencies:
  config:
    - profile.type.crm_indiv
    - profile.type.crm_notes
    - profile.type.crm_org
  module:
    - contacts
    - profile
id: summary
label: Summary
path: summary
layout: contacts_tab_content.stacked
weight: -99
relationships:
  profile_crm_indiv:
    id: 'typed_data_entity_relationship:entity:user:profile_crm_indiv'
    name: profile_crm_indiv
    source: user
  profile_crm_org:
    id: 'typed_data_entity_relationship:entity:user:profile_crm_org'
    name: profile_crm_org
    source: user
  profile_crm_notes:
    id: 'typed_data_entity_relationship:entity:user:profile_crm_notes'
    name: profile_crm_notes
    source: user
blocks:
  contacts_entity_profile_crm_indiv:
    id: 'contacts_entity:profile-crm_indiv'
    name: contacts_entity_profile_crm_indiv
    label: 'Person Summary'
    provider: contacts
    label_display: visible
    create: true
    mode: view_new
    edit_link: title
    edit_id: indiv
    region: left
    weight: 0
    context_mapping:
      user: user
      entity: profile_crm_indiv
  contacts_entity_profile_crm_org:
    id: 'contacts_entity:profile-crm_org'
    name: contacts_entity_profile_crm_org
    label: 'Organisation Summary'
    provider: contacts
    label_display: visible
    create: true
    mode: view_new
    edit_link: title
    edit_id: org
    region: left
    weight: 1
    context_mapping:
      user: user
      entity: profile_crm_org
  contacts_unknown_contact_type:
    id: 'contacts_unknown_contact_type'
    name: 'contacts_unknown_contact_type'
    provider: contacts
    label_display: '0'
    region: left
    weight: 0
    context_mapping:
      user: user
  contacts_entity_profile_crm_notes:
    id: 'contacts_entity:profile-crm_notes'
    name: contacts_entity_profile_crm_notes
    label: Notes
    provider: contacts
    label_display: visible
    create: true
    mode: view_new
    edit_link: title
    edit_id: notes
    region: right
    weight: 0
    context_mapping:
      entity: profile_crm_notes
